%define modname gnupg
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Summary:	A wrapper around the gpgme library for PHP
Name:		php-%{modname}
Version:	1.5.0
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/gnupg/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	mercurial
BuildRequires:	gpgme-devel
BuildRequires:	gnupg
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.1.0
Requires:       php-common = 3:8.1

%description
This extension provides methods to interact with gnupg.

%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

export CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# antibork
perl -pi -e "s|^GNUPG_SHARED_LIBADD = .*|GNUPG_SHARED_LIBADD = -lgpgme|g" Makefile

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc tests LICENSE package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Nov 26 2021 mokraemer <mokraemer> 1.5.0-2.mga9
+ Revision: 1759366
- rebuild for php 8.1

* Sun Sep 19 2021 mokraemer <mokraemer> 1.5.0-1.mga9
+ Revision: 1745927
- new version 1.5.0

* Tue Dec 29 2020 mokraemer <mokraemer> 1.4.0-13.mga8
+ Revision: 1664763
- php 8 patch

* Thu Jun 18 2020 mokraemer <mokraemer> 1.4.0-12.mga8
+ Revision: 1596242
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 1.4.0-11.mga8
+ Revision: 1538976
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.4.0-10.mga8
+ Revision: 1463523
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1.4.0-9.mga8
+ Revision: 1454944
- removed dirname
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1.4.0-7.mga7
+ Revision: 1340438
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1.4.0-6.mga7
+ Revision: 1325759
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-5.mga7
+ Revision: 1300222
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1.4.0-4.mga7
+ Revision: 1217357
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1.4.0-3.mga7
+ Revision: 1181037
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1.4.0-2.mga7
+ Revision: 1177171
- rebuild against php 7

* Fri Jul 21 2017 sander85 <sander85> 1.4.0-1.mga7
+ Revision: 1126267
- New version: 1.4.0

* Thu Feb 25 2016 oden <oden> 1.3.6-1.mga6
+ Revision: 978996
- 1.3.6

* Fri Feb 05 2016 umeabot <umeabot> 1.3.2-16.mga6
+ Revision: 937384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-15.mga5
+ Revision: 740864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-14.mga5
+ Revision: 687130
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.3.2-13.mga5
+ Revision: 616552
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.3.2-12.mga4
+ Revision: 567651
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-11.mga4
+ Revision: 527807
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.3.2-10.mga4
+ Revision: 442636
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.3.2-9.mga3
+ Revision: 393265
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 1.3.2-8.mga3
+ Revision: 376123
- patch to build with php 5.4
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.3.2-7.mga2
+ Revision: 223898
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1.3.2-6.mga2
+ Revision: 185269
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1.3.2-5.mga1
+ Revision: 47941
- removed buildroot definition from .spec
- imported package php-gnupg

